+++
title = "华为马海旭：鲲鹏展翅，力算未来，共赢多样性计算时代"
date = "2019-08-29"
tags = ["theme"]
author = "华为智能计算"
archives = "2019-08"
summary = "8月29日，在第二届世界人工智能大会上，华为智能计算业务部总裁马海旭发表了《鲲鹏展翅，力算未来，共赢多样性计算时代》 的主题演讲。"
+++

大家好，非常荣幸能参加本次世界人工智能大会，同时也感谢大家，在百忙之中莅临华为智能计算大会·上海站。计算是人类永恒的需求，是智能世界的源动力，华为一直持续投入计算产业，今天我将与大家一起分享，华为在计算产业的创新之路。

18世纪中叶以来，人类历史上先后经历了三次工业革命，蒸汽机推动了农耕文明向工业文明的过渡，电力促进了通信、钢铁、机械等工业兴起，极大提高了生产力，信息技术让国家和地区都进入到全球一体化的进程中。当前，人类正在迎来以智能技术为代表的第四次工业革命，人工智能、物联网、5G、机器人、生物工程等新技术已融入到人类社会的方方面面。智能技术成为经济增长的新动能，驱动产业数字化转型，智能技术作为关键引擎，将推动世界的进步与发展。

智能世界带来了丰富的应用，产生了海量的数据。根据华为GIV 2025预测，97%的大企业将使用AI，14%的家庭将拥有智能机器人，蜂窝车联网技术将嵌入到全球15%的汽车中，而全球58%的人口将享有优质的5G网络服务。丰富的应用将带来数据的爆炸增长，预计2025年全球每年的数据量将达到180ZB。丰富的应用和海量的数据对算力产生了极大的需求，而CPU的性能却从每年提升超过1.5倍降到1.1倍，摩尔定律逐渐失效，带来了算力供应的稀缺和昂贵，严重制约着行业数字化和智能化的发展。

为了应对这一矛盾，突破摩尔定律，华为提出了多样性计算理念，面向不同应用，通过多种算力组合，在系统级恢复摩尔定律，推动计算创新。

PU、NPU、GPU、FPGA等同时存在。华为聚焦把计算产业核心竞争力构筑在「鲲鹏处理器」和「昇腾AI处理器」上，鲲鹏面向通用计算场景，昇腾面向人工智能场景，通过两个芯片系列来引领计算产业迈向智能和多样性计算时代。

**华为从鲲鹏计算平台、昇腾计算平台和x86计算平台进行多样性计算战略布局：**

- **基于鲲鹏计算平台**，打造面向通用计算的TaiShan服务器产品，在大数据、分布式存储、ARM原生等应用场景，为客户提供性能出众、能效更优、安全可靠的解决方案；

- **基于昇腾计算平台**，打造面向AI计算的Atlas系列产品，在平台、架构、算法和应用软件等多个层次与业界ISV深入合作，共同实现普惠AI的战略目标；

- **基于x86计算平台**，我们会继续与Intel保持合作，面向数据中心场景，引入智能加速和智能管理，持续为客户和合作伙伴提供有竞争力的计算产品。

今天的计算系统仍然遵循冯•诺依曼架构，由计算子系统、存储子系统、I/O子系统和管理子系统组成，同时随着人工智能的兴起，AI算力已经成为计算产品不可或缺的重要能力，对每一个子系统，都需要一颗关键的芯片。华为从2004年投资研发第一颗处理器芯片开始，历经15年，已累计投入超过2万名工程师，形成了以 “鲲鹏处理器 + 昇腾AI处理器”为核心的芯片族。

鲲鹏920是华为第三代处理器，单处理器拥有64核，整型计算的性能跑分达930分，超过当前业界处理器最高性能25%。基于鲲鹏处理器，我们打造了TaiShan系列服务器，其是华为在计算技术和整机工程方面17年长期积累的精品之作，充分优化了散热、高速互联、可靠性设计以及质量品控等工程工艺技术。泰山是中国的五岳之首，我们用泰山命名基于鲲鹏处理器的服务器，是希望TaiShan服务器能够引领中国的计算产业，成为计算标杆产品。

**TaiShan服务器包括三个型号：**

> - **2280均衡型**，计算、存储和网络能力均衡，可适用于多种应用；

> - **5280存储型**，适用于海量存储场景，单柜可达5.6PB容量；

> - **X6000高密型**，适用于海量整型计算场景，单柜可达10240核，约等于5000台个人电脑的算力。


华为在鲲鹏计算产业与各行业ISV共同孵化、完善了五大解决方案，在多个行业实现了规模商用，通过多核并行处理的优势，在大数据场景下性能比传统平台提升30%以上；通过内置数据压缩引擎与多核并行处理的优势，减少分布式存储场景66%的压缩时间，实现每秒I/O操作的性能提升20%以上；在数据库、原生应用以及云服务场景，TaiShan服务器都表现出了极致的性能。

**下面我为大家介绍一下华为全栈全场景AI解决方案。**

我们提出的全场景，是指包括公有云、私有云、各种边缘计算、物联网行业终端以及消费类终端等应用场景。全栈是技术功能视角，包括芯片、芯片使能、训练和推理框架和应用使能在内的全堆栈方案。

昇腾（Ascend）系列AI处理器，采用华为自研的面向张量计算的达芬奇架构，通过独创的3D Cube设计，每时钟周期可以进行4096个16位半精度浮点MAC运算，为人工智能提供强劲的算力支持。昇腾310在2018年10月10日已经上市，面向推理场景，具有极致高能效，8W功耗可以提供16TOPS INT8的算力。昇腾910在上周8月23日刚刚进行了全球上市发布，获得业界一致关注与好评，是目前面向训练场景中算力最强的AI处理器，性能是当前主流产品的2倍，在今年9月18日上海的华为全联接大会上，华为还将重磅发布基于昇腾910的系列新品，让我们共同期待。

基于昇腾AI处理器，我们开发了Atlas系列人工智能产品。Atlas源自古希腊神话中撑起宇宙的擎天大力神，华为用Atlas命名人工智能计算产品，是希望其能够成为撑起万物智能时代的“擎天大力神”，实现智能无所不及。其中，「Atlas 200 AI加速模块」，可以嵌入到机器人、摄像头、无人机等实现终端智能；「Atlas 500 智能小站」是面向边缘部署的智能小站，可实现交通、楼宇、园区等边缘智能场景；在数据中心面向训练和推理场景，我们则提供了「Atlas 300 AI加速卡」和「Atlas 800 AI服务器」；同时面向广大开发者，我们还提供「Atlas 200 DK AI开发者套件」，方便开发者快速熟悉Atlas的开发环境。

**任何IT产业的成功都是生态系统的成功，使能伙伴是华为在智能计算产业的重要使命，我们有以下3个具体措施：**

- **以行业聚合应用**：在政府、金融、运营商、互联网等关键行业，形成完整的生态链和具有竞争力的解决方案。

- **以联盟孵化标准**：通过绿色计算产业联盟、边缘计算产业联盟构建基础软硬件的标准体系，促进产业的健康发展。

- **以社区发展开发者**：开发者是一个产业的灵魂，华为将鲲鹏开发者社区打造成计算产业的主流社区，力争通过5年时间，发展100万开发者。

创新重塑产业，科技引领未来，我们希望携手广大合作伙伴与客户，立足中国，面向全球，打造开放的计算产业生态，共赢多样性计算新时代！一年一度的华为全联接大会将于9月18日至20日在上海盛大举行，届时业界领袖与产业精英将共聚一堂，共同探讨产业发展方向，同时华为也将向业界重磅发布多款计算产品。

期待与大家一起见证智能新高度，谢谢大家！
