+++
title = "开源知识产权相关的几个问题"
date = "2020-02-14"
tags = ["copyright", "copyleft", "patent", "trademark", "license"]
archives = "2020-02"
author = "Xing Zhu"
summary = "本文简要讨论了跟开源相关的几个重要的知识产权的基本问题。"
+++

# 开源知识产权相关的几个问题

## Copyright vs. Copyleft
* Copyright
	* 软件版权属于知识产权的著作权范畴，具有知识产权的特征，即时间性，专有性和地域性。
	* 软件版权在法律上称为“计算机软件著作权”。属于著作权（知识产权）的一种。国家颁布有《计算机软件保护条例》,保护权益人的软件著作权。
	* 具体权力内容：包括对计算机软件的发表权、开发者身份权、复制权、展示权、发行权、修改权、翻译权、注释权、使用许可权、获得报酬权、转让权等，其保护期限是50年。
* Copyleft
	* Copyleft是一种在现有著作权体制下的授权方式，它要求使用者必须要以同等的授权方式回馈社群。 **Copyleft虽然与常见的著作权模式不同，但不是反对著作权的基本体制。**
	* Copyleft是将一个程序成为自由软件的通用方法，同时也使得这个程序的修改和扩充版本成为自由软件。提出并使用Copyleft观念的是GNU计划，具体的发布条款包含在GNU通用公共许可证、GNU宽通用公共许可证和GNU自由文档许可证里。
	* Copyleft作品是有版权的；但它们加入了法律上的分发条款，保障任何人都拥有对该作品及其衍生品的使用、修改和重新发布的权力，前提是这些发布条款不能被改变。
	* Copyleft作品的使用者若不按Copyleft的许可证要求保持同样的授权条款，并将更改的版本回馈社群的话，就是**违反著作权法**的侵权行为。
	* Copyleft授权许可有时被认为具有“传染性”，因为任何从Copyleft许可衍生出的作品也必须是遵守Copyleft许可的规定。

## 开源软件许可证（License）与开源软件著作权的关系（Copyright）的关系
* 开源软件起源于对软件著作权的对抗，但开源软件的延续和发展同样需要著作权法的保护，因为没有著作权法的存在，开源许可证授权也就无从谈起。
* 开源软件以许可证的方式承认开发者的著作权，并且对后续的使用行为以许可证模式进行法律约束，即无论通过何种方式利用开源软件的方式均要以严格遵循条约的方式进行。
* 开源许可协议是在软件开源时所依据的协议，其在用于贡献软件的贡献者和用于获取软件的获取者之间建立了一种合同。
* 相较于传统计算机软件著作权，开源软件著作权的特殊性在于，开源软件的作者通过许可证的方式，将部分著作权( 修改权、复制权等财产性著作权) 无偿的授予给愿意接受许可证的人，但开源软件著作权人依然享有著作权法所赋予的其他权利( 如署名权等) 。大部分开源软件的许可证都规定，他人分发软件时应当尊重原作者的具有人身属性的著作权。比如，保留版权声明、不得擅自使用他人的姓名和商标; 在修改源代码软件时，必须注明修改之人、修改之处及修改时间，以避免源代码的混淆及对原作者的不尊重。
* 从绝大多数开源软件许可证来看，均提出了对原作者署名权的保护，即衍生代码的作者也必须署名且要说明作者对哪一部分进行了修改，其结果是后续程序开发者通过继续修改时，即便出现问题也不至影响上游开发者的声誉。开源软件的精神是让每一位参加作者的署名权得到保护，同时也保证开源软件有继续向下延伸和传递的可能性。开源软件的开发者而言，这种人身意义“著作权”对他们而言有非常大的创新动力。


## 开源软件的商标问题
* 从法律角度来说，由于商标权是私权，除法律规定的极有限的合理使用外，使用商标的前提都必须获得明确授权。因此，对于没有明确规定商标问题的开源许可证，亦不能认为开源许可证给予使用开源软件的人任何商标权利，而没有获得授权的前提下的商业性使用别人合法的商标存在侵权风险。
* 一旦涉及到开源软件相关商标合规问题，无论是贡献者商标、社区商标还是项目商标，均需要平衡**开源许可证中的相关商标规定**，**开源组织中的相关商标规定**，及**使用地的商标法律规定**，**使用地的在先商标注册情况**等，进行专业的商标综合分析。

## 开源软件的专利问题
* 软件开源和专利权看似是处于对立的两端，但是其实是在不同的角度来发展和保护软件技术。专利法为开源软件的贡献者提供专有保护以促进其创新研发的积极性，开源软件通过共享源代码来促进软件技术的发展。
* 在开源软件领域，专利侵权风险一直存在。更宽泛地，对于通过技术积累而不断壮大的各技术领域，专利侵权风险是普遍存在的。利用开源许可协议，可以避免一部分专利侵权风险。例如，在Apache-2.0许可证下，贡献者将其贡献的开源软件中的专利权许可给获取者，并且约束获取者不能就自己对该开源软件中的贡献向任何实体主张专利侵权。
* 在软件技术的发展过程中，开源软件和软件专利不可避免地交织在一起。开源软件在抵制专利保护的同时，也在利用开源协议中的专利相关条款进行保护。借助于开源许可协议有效地融合了软件技术中的技术创新和技术共享，但是二者并不互斥。软件企业在参与软件开源的同时，仍然需要利用专利来保护自身的技术创新，维持核心竞争力。要结合企业的发展策略、专利布局等来选择合适的开源许可协议，从而借助于开源软件共享的当前研发成果和专利保护制度来维护企业的发展。
	1. 对于研发技术涉及开源软件的单位或个人，要确定技术研发中不进入开源领域的软件代码，并加强对这部分软件的专利保护；对于技术研发中要进入开源领域的软件代码，则可以根据规划进行区分保护。
	2. 对于开源协议的捐献者，在开源前慎重筛查专利申请，特别是好的技术构思要申请专利。
	3. 对于开源协议的获取者，选择开源软件时，在定位到与企业的领域和研发方向匹配的开源协议的基础上，要慎重考虑开源软件所遵从的开源协议，分析开源软件中关于专利许可的相关条款，并特别关注许可终止的相关条款。

## Resource
- [开源软件及其法律风险](https://zhuanlan.zhihu.com/p/91071379)
- [应用开源软件的法律风险与理性应对](https://www.zhihedongfang.com/8919.html)
- [软件版权](https://baike.baidu.com/item/%E8%BD%AF%E4%BB%B6%E7%89%88%E6%9D%83)
- [开源软件中的商标问题](https://cloud.tencent.com/developer/article/1563078)
- [开源软件涉及的专利问题探讨](http://news.zhichanli.cn/article/8087.html)
- [开源软件：保护的智慧](https://www.lexology.com/library/detail.aspx?g=24c6f397-64c0-4a88-832b-8936a75b59d6)
